Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Подскажите - чего ей не хватает?  (Прочитано 1096 раз)

0 Пользователей и 1 Гость просматривают эту тему.

impaleoops

  • Автор темы
  • Гость
Подскажите - чего ей не хватает?
« : 16 Декабрь 2018, 22:18:39 »
Я совсем недавно пересел на Ubuntu,после многих лет виндоус.Вот поставил,пользуюсь,по тихой настроил себе системку,но никак не получается установить гидру. Подскажите что надо ввести,что-бы она наконец перестала ругаться.Уже начинаю трястись :D от недостатка знаний и беспорядочно-неосознанной деятельности в терминале .Картина такая:
[ERROR] Compiled without OPENSSL support, module not available!
root@x:/home/x/thc-hydra-8.3# ./configure --debug

Starting hydra auto configuration ...
Detected 64 Bit Linux OS

Checking for zlib (libz.so, zlib.h) ...
                                        ... found
Checking for openssl (libssl, libcrypto, ssl.h, sha.h) ...
DEBUG: SSL_LIB= include /etc/ld.so.conf.d/fakeroot-x86_64-linux-gnu.conf /etc/ld.so.conf.d/i386-linux-gnu.conf /etc/ld.so.conf.d/libc.conf /etc/ld.so.conf.d/x86_64-linux-gnu.conf /etc/ld.so.conf.d/zz_i386-biarch-compat.conf /lib32 /lib/i386-linux-gnu /lib/i686-linux-gnu /lib/x86_64-linux-gnu /usr/lib32 /usr/lib/i386-linux-gnu /usr/lib/i686-linux-gnu /usr/lib/x86_64-linux-gnu /usr/lib/x86_64-linux-gnu/libfakeroot /usr/local/lib /usr/local/lib/i386-linux-gnu /usr/local/lib/i686-linux-gnu /usr/local/lib/x86_64-linux-gnu /lib64 /usr/lib64 /usr/local/lib64 /opt/local/lib64 /lib /usr/lib /usr/local/lib /opt/local/lib /usr/local/ssl /usr/local/ssl/lib
DEBUG: SSL_INC=/usr/include /usr/local/include /opt/include /opt/local/include /usr/local/ssl/include
DEBUG: SSL_PATH=/usr/lib/i386-linux-gnu/libssl
DEBUG: CRYPTO_PATH=/usr/lib/i386-linux-gnu/libcrypto
DEBUG: SSL_INC=/usr/include/openssl/ssl.h
                                                       ... found
Checking for idn (libidn.so) ...
DEBUG: IDN_PATH=/usr/lib/x86_64-linux-gnu/libidn
DEBUG: IDN_IPATH=/usr/include/stringprep.h
DEBUG: PR29_IPATH=/usr/include/pr29.h
                             ... found
Checking for curses (libcurses.so / term.h) ...
DEBUG: CURSES_PATH=/usr/lib/x86_64-linux-gnu/libcurses
DEBUG: CURSES_IPATH=/usr/include/term.h
                                            ... found, color output enabled
Checking for pcre (libpcre.so, pcre.h) ...
DEBUG: PCRE_PATH=/lib/i386-linux-gnu/libpcre
DEBUG: PCRE_IPATH=/usr/include/pcre.h
                                       ... found
Checking for Postgres (libpq.so, libpq-fe.h) ...
DEBUG: POSTGRES_PATH=/usr/lib/x86_64-linux-gnu/libpq
DEBUG: POSTGRES_IPATH=/usr/include/postgresql/libpq-fe.h
                                             ... found
Checking for SVN (libsvn_client-1 libapr-1.so libaprutil-1.so) ...
DEBUG: SVN_PATH=/usr/lib/x86_64-linux-gnu/libsvn_client-1
DEBUG: APR_PATH=/usr/lib/x86_64-linux-gnu/libapr
DEBUG: SVN_IPATH=/usr/include/apr-1.0/
DEBUG: APR_IPATH=/usr/include/apr-1.0/
                                                               ... found
Checking for firebird (libfbclient.so) ...
DEBUG: FIREBIRD_PATH=/usr/lib/x86_64-linux-gnu/libfbclient
DEBUG: FIREBIRD_IPATH=/usr/include/ibase.h
                                       ... found
Checking for MYSQL client (libmysqlclient.so, math.h) ...
DEBUG: MYSQL_PATH=/usr/lib/x86_64-linux-gnu/libmysqlclient
DEBUG: MYSQL_IPATH=/usr/include/mysql/mysql.h
                                                      ... found
Checking for AFP (libafpclient.so) ...
DEBUG: AFP_PATH=/libafpclient
DEBUG: AFP_IPATH=/afp.h
                                   ... NOT found, module Apple Filing Protocol disabled - Apple sucks anyway
Checking for NCP (libncp.so / nwcalls.h) ...
DEBUG: NCP_PATH=/libncp
DEBUG: NCP_IPATH=/ncp/nwcalls.h
                                         ... NOT found, module NCP disabled
Checking for SAP/R3 (librfc/saprfc.h) ...
DEBUG: SAPR3_PATH=include/librfc
DEBUG: SAPR3_IPATH=/saprfc.h
                                      ... NOT found, module sapr3 disabled
Get it from http://www.sap.com/solutions/netweaver/linux/eval/index.asp
Checking for libssh (libssh/libssh.h) ...
DEBUG: SSH_PATH=/usr/lib/x86_64-linux-gnu/libssh
DEBUG: SSH_IPATH=/usr/include/libssh/libssh.h
                                      ... found
Checking for Oracle (libocci.so libclntsh.so / oci.h and libaio.so) ...
DEBUG: ORACLE_LIB= include /etc/ld.so.conf.d/fakeroot-x86_64-linux-gnu.conf /etc/ld.so.conf.d/i386-linux-gnu.conf /etc/ld.so.conf.d/libc.conf /etc/ld.so.conf.d/x86_64-linux-gnu.conf /etc/ld.so.conf.d/zz_i386-biarch-compat.conf /lib32 /lib/i386-linux-gnu /lib/i686-linux-gnu /lib/x86_64-linux-gnu /usr/lib32 /usr/lib/i386-linux-gnu /usr/lib/i686-linux-gnu /usr/lib/x86_64-linux-gnu /usr/lib/x86_64-linux-gnu/libfakeroot /usr/local/lib /usr/local/lib/i386-linux-gnu /usr/local/lib/i686-linux-gnu /usr/local/lib/x86_64-linux-gnu /lib64 /usr/lib64 /usr/local/lib64 /opt/local/lib64 /lib /usr/lib /usr/local/lib /opt/local/lib
DEBUG: ORACLE_INC=/usr/include /usr/local/include /opt/include /opt/local/include
DEBUG: ORACLE_PATH=/libocci
DEBUG: ORACLE_PATH=/libaio
DEBUG: ORACLE_IPATH=/oci.h
                                                                    ... NOT found, module Oracle disabled
Get basic and sdk package from http://www.oracle.com/technetwork/database/features/instant-client/index.html
Checking for GUI req's (pkg-config, gtk+-2.0) ...
                                              ... found
Checking for Android specialities ...
                                  ... rindex() found
                                  ... RSA_generate_key() found
Checking for secure compile option support in gcc ...
                                                  Compiling... yes
                                                  Linking... yes

Hydra will be installed into .../bin of: /usr/local
  (change this by running ./configure --prefix=path)

DEBUG: XDEFINES= -DHAVE_MYSQL_MYSQL_H -DLIBOPENSSL -DLIBNCURSES -DLIBFIREBIRD -DLIBIDN -DHAVE_PR29_H -DHAVE_PCRE -DLIBMYSQLCLIENT -DLIBPOSTGRES -DLIBSVN -DLIBSSH -DHAVE_ZLIB -DHAVE_MATH_H
DEBUG: XLIBS= -lz -lcurses -lssl -lfbclient -lidn -lpcre -lmysqlclient -lpq -lsvn_client-1 -lapr-1 -laprutil-1 -lsvn_subr-1 -lssh -lcrypto
DEBUG: XLIBPATHS=-L/usr/lib -L/usr/local/lib -L/lib -L/usr/lib/i386-linux-gnu -L/usr/lib/x86_64-linux-gnu -L/lib/i386-linux-gnu -L/usr/lib/x86_64-linux-gnu -L/usr/lib/i386-linux-gnu -L/usr/lib/x86_64-linux-gnu
DEBUG: XIPATHS= -I/usr/include/mysql -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include/postgresql -I/usr/include -I/usr/include/subversion-1 -I/usr/include/apr-1.0 -I/usr/include/subversion-1
DEBUG: PREFIX=/usr/local
DEBUG: XHYDRA_SUPPORT=xhydra
DEBUG: STRIP=strip
Writing Makefile.in ...
now type "make"




 

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4261
  • Capture the truth
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #1 : 16 Декабрь 2018, 22:28:40 »
последняя строчка просит напечатать

make

и нажать enter
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2078
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #2 : 16 Декабрь 2018, 22:31:02 »
Уже начинаю трястись

Достаточно просто внимательно читать сообщения на экране.

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4261
  • Capture the truth
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #3 : 16 Декабрь 2018, 22:35:01 »
и гидра - это что?

Может есть в стандартных репозиториях, либо аналог - тогда и компилять не надо

И да, ставить что-то из сорцов в пакетном дистрибутиве - дурной тон. При последующем обновлении системы всё может поломаться. Не факт, конечно, но такой вариант исключать нельзя.
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

impaleoops

  • Автор темы
  • Гость
Re: Подскажите - чего ей не хватает?
« Ответ #4 : 16 Декабрь 2018, 22:50:37 »
make
Отлично, это я проделывал.Всё так-же программа выдавала скомпилированноо без опенссл, первая строка кода.
Достаточно просто внимательно читать сообщения на экране.
Да,читаю, и вроде примерно понимаю что надо делать,но как допустим установить это я не знаю,и со всем остальным - что не найдено.
Checking for AFP ([b]libafpclient.so[/b]) ...
DEBUG: AFP_PATH=/libafpclient
DEBUG: AFP_IPATH=/afp.h
                                   [b]... NOT found[/b], module Apple Filing Protocol disabled - Apple sucks anyway
Может есть в стандартных репозиториях, либо аналог - тогда и компилять не надо
Есть,но мне не подходит,нужно сделать именно версию 8.3

Хм..
внимательно читать сообщения
ай да мужжик.Да,спасибо,по моему я начинаю осмысливать Ваши слова.

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2078
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #5 : 16 Декабрь 2018, 23:07:29 »
по моему я начинаю осмысливать Ваши слова.

Отлично. Тем более если вы взломщик сетей, то должны быть более внимательным.

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4261
  • Capture the truth
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #6 : 16 Декабрь 2018, 23:40:09 »
Есть,но мне не подходит,нужно сделать именно версию 8.3

https://www.google.com/search?q=hydra%208.3%20deb
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

impaleoops

  • Автор темы
  • Гость
Re: Подскажите - чего ей не хватает?
« Ответ #7 : 17 Декабрь 2018, 02:37:33 »
Отлично. Тем более если вы взломщик сетей, то должны быть более внимательным.
Да какой из меня взломщик - я что в сетях,что в компах...Но!почему бы и не побаловаться для общего развития?
https://www.google.com/
Хорошо,нашелся пакет,ставлю,а он и тут пишет Compiled without OPENSSL support, module not available!

в целом,кто-то сможет доходчиво объяснить как скомпилить данный пакет,именно скомпилить со всеми недостающими библиотеками?Я читал меню

./configure --help - там написано

--with-ssl-lib=prefix
Что здесь будет являться префиксом?
SSL_INC=/usr/include/openssl/ssl.hИ в целом  в правильном направлении иду,или чет не так думаю?Объясните как для "чайника".

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4261
  • Capture the truth
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #8 : 17 Декабрь 2018, 02:40:35 »
а ssl установлен?

dpkg -l | grep ssl
Пакет в большинстве случаев должен подтянуть недостающее. Ну если нет значит нет.
« Последнее редактирование: 17 Декабрь 2018, 02:42:23 от ALiEN175 »
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

impaleoops

  • Автор темы
  • Гость
Re: Подскажите - чего ей не хватает?
« Ответ #9 : 17 Декабрь 2018, 03:06:27 »
ii  libflac8:amd64                             1.3.2-1                                      amd64        Free Lossless Audio Codec - runtime C library
ii  libflac8:i386                              1.3.2-1                                      i386         Free Lossless Audio Codec - runtime C library
ii  libio-socket-ssl-perl                      2.056-1                                      all          Perl module implementing object oriented interface to SSL sockets
ii  libnet-smtp-ssl-perl                       1.04-1                                       all          Perl module providing SSL support to Net::SMTP
ii  libnet-ssleay-perl                         1.84-1build1                                 amd64        Perl module for Secure Sockets Layer (SSL)
ii  libssl-dev:amd64                           1.1.0g-2ubuntu4.3                            amd64        Secure Sockets Layer toolkit - development files
ii  libssl-doc                                 1.1.0g-2ubuntu4.3                            all          Secure Sockets Layer toolkit - development documentation
ii  libssl1.0.0:amd64                          1.0.2n-1ubuntu5.2                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.1:amd64                            1.1.0g-2ubuntu4.3                            amd64        Secure Sockets Layer toolkit - shared libraries
ii  libssl1.1:i386                             1.1.0g-2ubuntu4.3                            i386         Secure Sockets Layer toolkit - shared libraries
ii  libwavpack1:amd64                          5.1.0-2ubuntu1.2                             amd64        audio codec (lossy and lossless) - library
ii  libzstd1:amd64                             1.3.3+dfsg-2ubuntu1                          amd64        fast lossless compression algorithm
ii  openssl                                    1.1.0g-2ubuntu4.3                            amd64        Secure Sockets Layer toolkit - cryptographic utility
ii  perl-openssl-defaults:amd64                3build1                                      amd64        version compatibility baseline for Perl OpenSSL packages
ii  python-openssl                             17.5.0-1ubuntu1                              all          Python 2 wrapper around the OpenSSL library
ii  python3-openssl                            17.5.0-1ubuntu1                              all          Python 3 wrapper around the OpenSSL library
ii  ssl-cert     


Выходит установлен...Да,что-то подтягивалось,но у меняподозрение,что открываю не ту программу,а именно старый недокомпиленный пакет.Может оно так быть?
« Последнее редактирование: 17 Декабрь 2018, 03:10:16 от impaleoops »

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4261
  • Capture the truth
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #10 : 17 Декабрь 2018, 03:13:56 »
скорее всего, ей какие-то свои модули нужны...
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

impaleoops

  • Автор темы
  • Гость
Re: Подскажите - чего ей не хватает?
« Ответ #11 : 18 Декабрь 2018, 22:20:27 »
скорее всего, ей какие-то свои модули нужны...

Вы знаете, в какой то момент,мне вся эта  **ля танцулька с бубнами даже начала нравиться.Вот не отличаюсь ни усидчивостью,ни терпением с трудолюбием...Прошло два дня и всё свободное время старался что-то сделать,что-бы получилось.Нет - ничего не получилось.Без алгоритма порядка действий,понимания смысла этих действий - едва ли получится.Ах,вроде и стараешься выжать из терминала максимум информации,заставить шевелиться последнюю извилину ,но все не решается вопрос.Нужны советы светлых умов,потому как даже гугл особо неразговорчив.

внимательно читать сообщения

Может хоть подскажете направление куда(как) копать?

P.S  Compiled without OPENSSL support, module not available! Эта строка бросила вызов ,а я вызовы принимаю,даже когда трясусь :D .Но давайте будем предельно откровенны - сообщество может и не одобрять то,чем "заморочился",поэтому предлагаю расставить все точки над - никого ломать или взламывать не собираюсь.За тем люди учатся годами,потеют,нарабатывают навыки,а я тут такой нарисовался и кричу:"дайте волшебное лекарство от панацеи  - я супер хацкер" - в общем эта история не про меня.
      Выскажусь так - готов постараться,именно для того,что-бы стать ближе к терминалу и общему пониманию сетей в целом,а цель - научиться брутить по RDP именно этой программой.Вот такой мне нужен "скилл". Объяснять для чего - бестолку,да и будет выглядеть как глупая ложь.Кто поможет ребят?

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4261
  • Capture the truth
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #12 : 18 Декабрь 2018, 22:27:18 »
impaleoops,

sudo apt install libssl-dev
не надо - есть уже у вас. Смотрите гугл.

Meh... и заново всё...
« Последнее редактирование: 18 Декабрь 2018, 22:33:46 от ALiEN175 »
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2078
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Подскажите - чего ей не хватает?
« Ответ #13 : 18 Декабрь 2018, 22:34:24 »
impaleoops, дай ссылку на свои исходники.

impaleoops

  • Автор темы
  • Гость
Re: Подскажите - чего ей не хватает?
« Ответ #14 : 18 Декабрь 2018, 22:48:51 »
Уже установлен пакет libssl-dev самой новой версии (1.1.0g-2ubuntu4.3)Более того,пробовал различные варианты конфигурирования при помощи команды --help

Option:
  --with-ssl-lib=libssl-dev      prefix for SSL libraries

Я так полагаю именно тут я и фейлюсь,скорее всего из за каши в голове,где смешались названия пакетов,библиотек,расположения на локальном диске и многой другой ереси.

В целом - эта команда ./configure --with-ssl-lib=libssl-dev правильная для интерпретатора?(это что за слово в моей голове?)

 


Пользователь добавил сообщение 18 Декабрь 2018, 23:10:03:
impaleoops, дай ссылку на свои исходники.
Не помню откуда скачивал,у меня архив лежал tar.gz, но сегодня плюнул на нервах и удалил полностью архивы,пакеты и связанные с ним библиотеки которые нашел.Попытался начать "с нуля" Остался распакованный архив-могу закинуть в облако,этот продукт будет считаться "годным? https://yadi.sk/d/pIdDY4Mwmp11PQ

Еще по этой https://github.com/vanhauser-thc/thc-hydra ссылке читал инфо и пытался понять что да как.
apt-get install libssl-dev libssh-dev libidn11-dev libpcre3-dev \
                 libgtk2.0-dev libmysqlclient-dev libpq-dev libsvn-dev \
                 firebird-dev
« Последнее редактирование: 18 Декабрь 2018, 23:10:03 от impaleoops »

 

Страница сгенерирована за 0.133 секунд. Запросов: 22.